//---------------------------------------------------------------------------
#ifndef moduleH
#define moduleH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TModuleForm : public TForm
{
__published:	// IDE-managed Components
        TPageControl *PageControl;
        TTabSheet *tsOperations;
        TTabSheet *tsConstituents;
        TTabSheet *tsNotifiers;
        TButton *bClose;
        TLabel *tClose;
        TButton *bSave;
        TLabel *tSave;
        TCheckBox *xSaveChangeName;
        TCheckBox *xSaveForceSave;
        TButton *bCloseModule;
        TLabel *tCloseModule;
        TButton *bGetFileName;
        TEdit *eFileName;
        TButton *bSetFileName;
        TButton *bGetFileSystem;
        TEdit *eFileSystem;
        TButton *bSetFileSystem;
        TButton *bGetOwnerCount;
        TLabel *tGetOwnerCount;
        TButton *bGetOwner;
        TEdit *eGetOwner;
        TUpDown *udGetOwner;
        TButton *bGetModuleFileCount;
        TLabel *tGetModuleFileCount;
        TEdit *eGetModuleFileEditor;
        TUpDown *udGetModuleFileEditor;
        TButton *bGetModuleFileEditor;
        TButton *bAddNotifier;
        TLabel *tAddNotifier;
        TButton *bAddToInterface;
        TButton *bHasCoClasses;
        TLabel *tHasCoClasses;
        TTabSheet *tsTypeLib;
        TTabSheet *tsProject;
        TTabSheet *tsProjectGroup;
        TButton *bGetModuleCount;
        TLabel *tGetModuleCount;
        TButton *bGetModule;
        TUpDown *udGetModule;
        TEdit *eGetModule;
        TButton *bGetProjectOptions;
        TButton *bGetProjectBuilder;
        TCheckBox *xIsUnitOrForm;
        TButton *bAddFile;
        TEdit *eAddRemoveFileName;
        TButton *bRemoveFile;
        TButton *bAddNewProject;
        TButton *bAddExistingProject;
        TButton *bGetActiveProject;
        TEdit *eGetProject;
        TUpDown *udGetProject;
        TButton *bGetProject;
        TButton *bGetProjectCount;
        TLabel *tGetProjectCount;
        TEdit *eRemoveSetProject;
        TButton *bRemoveProject;
        TButton *bSetActiveProject;
        TCheckBox *xCloseModuleForceClosed;
        TButton *bCancel;
        void __fastcall FormShow(TObject *Sender);
        void __fastcall bCloseClick(TObject *Sender);
        void __fastcall bSaveClick(TObject *Sender);
        void __fastcall bCloseModuleClick(TObject *Sender);
        void __fastcall bGetFileNameClick(TObject *Sender);
        void __fastcall bSetFileNameClick(TObject *Sender);
        void __fastcall bGetFileSystemClick(TObject *Sender);
        void __fastcall bSetFileSystemClick(TObject *Sender);
        void __fastcall bGetOwnerCountClick(TObject *Sender);
        void __fastcall bGetOwnerClick(TObject *Sender);
        void __fastcall bGetModuleFileCountClick(TObject *Sender);
        void __fastcall bGetModuleFileEditorClick(TObject *Sender);
        void __fastcall bGetModuleCountClick(TObject *Sender);
        void __fastcall bGetModuleClick(TObject *Sender);
        void __fastcall bAddFileClick(TObject *Sender);
        void __fastcall bRemoveFileClick(TObject *Sender);
        void __fastcall bAddNewProjectClick(TObject *Sender);
        void __fastcall bAddExistingProjectClick(TObject *Sender);
        void __fastcall bGetProjectCountClick(TObject *Sender);
        void __fastcall bGetProjectClick(TObject *Sender);
        void __fastcall bGetActiveProjectClick(TObject *Sender);
        void __fastcall bRemoveProjectClick(TObject *Sender);
        void __fastcall bSetActiveProjectClick(TObject *Sender);
        void __fastcall bAddNotifierClick(TObject *Sender);
        void __fastcall bGetProjectOptionsClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TModuleForm(TComponent* Owner);
        __fastcall ~TModuleForm() {m=NULL; tlm=NULL; p=NULL; pg=NULL;}
        _di_IOTAModule m;
        _di_IOTATypeLibModule tlm;
        _di_IOTAProject p;
        _di_IOTAProjectGroup pg;
        _di_IOTAProject __fastcall NameToProject(AnsiString fn);
  };
//---------------------------------------------------------------------------
extern PACKAGE TModuleForm *ModuleForm;
//---------------------------------------------------------------------------
#endif
