//---------------------------------------------------------------------------

#ifndef componentH
#define componentH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TComponentForm : public TForm
{
__published:	// IDE-managed Components
        TPageControl *PageControl1;
        TTabSheet *tsProperties;
        TListBox *lbProps;
        TEdit *eSetProp;
        TButton *bSetProp;
        TButton *bRefreshProps;
        TTabSheet *tsHierarchy;
        TLabel *tsParent;
        TEdit *eParent;
        TLabel *tsThis;
        TEdit *eThis;
        TLabel *tsControls;
        TListBox *lbControls;
        TLabel *tsOwns;
        TListBox *lbOwns;
        TCheckBox *xAddToSelection;
        TButton *bSelect;
        TButton *bFocus;
        TButton *bDelete;
        TButton *bRefreshHierarchy;
        TButton *bCancel;
        TButton *bSetBitmap;
        TButton *bSetIcon;
        TOpenDialog *CreateDialog1;
        void __fastcall FormShow(TObject *Sender);
        void __fastcall bRefreshPropsClick(TObject *Sender);
        void __fastcall bSetPropClick(TObject *Sender);
        void __fastcall bRefreshHierarchyClick(TObject *Sender);
        void __fastcall bSelectClick(TObject *Sender);
        void __fastcall bFocusClick(TObject *Sender);
        void __fastcall bDeleteClick(TObject *Sender);
        void __fastcall bSetBitmapClick(TObject *Sender);
        void __fastcall bSetIconClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TComponentForm(TComponent* Owner);
        __fastcall ~TComponentForm() {c=NULL; fe=NULL;}
        _di_IOTAComponent c; _di_IOTAFormEditor fe;
};
//---------------------------------------------------------------------------
extern PACKAGE TComponentForm *ComponentForm;
//---------------------------------------------------------------------------
#endif
