#include "otabrowse5.h"
#pragma hdrstop

#include "ideservices.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TIDEServicesForm *IDEServicesForm;
//---------------------------------------------------------------------------
__fastcall TIDEServicesForm::TIDEServicesForm(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TIDEServicesForm::bActionServicesClick(TObject *Sender)
{ _di_IOTAActionServices as=NULL;
  HRESULT res=s->QueryInterface(__uuidof(IOTAActionServices),(void**)&as);
  if (FAILED(res)) Application->MessageBox("Action services not found","Error",MB_OK);
  else ShowActionServices(this,as);
}
//---------------------------------------------------------------------------


void __fastcall TIDEServicesForm::bModuleServicesClick(TObject *Sender)
{ _di_IOTAModuleServices ms=NULL;
  HRESULT res=s->QueryInterface(__uuidof(IOTAModuleServices),(void**)&ms);
  if (FAILED(res)) Application->MessageBox("Module services not found","Error",MB_OK);
  else ShowModuleServices(this,ms);
}
//---------------------------------------------------------------------------

void __fastcall TIDEServicesForm::bResourcesClick(TObject *Sender)
{ _di_IOTAProjectResource pr=GetProjectResources(NULL);
  if (pr==NULL) Application->MessageBox("Failed to find current project resources","Resources",MB_OK);
  else ShowEditor(this,pr);
}
//---------------------------------------------------------------------------

void __fastcall TIDEServicesForm::bServicesClick(TObject *Sender)
{ _di_IOTAServices ss=NULL;
  HRESULT res=s->QueryInterface(__uuidof(IOTAServices),(void**)&ss);
  if (FAILED(res)) Application->MessageBox("Services not found","Error",MB_OK);
  else ShowServices(this,ss);
}
//---------------------------------------------------------------------------

void __fastcall TIDEServicesForm::bPackageServicesClick(TObject *Sender)
{ _di_IOTAPackageServices ps=NULL;
  HRESULT res=s->QueryInterface(__uuidof(IOTAPackageServices),(void**)&ps);
  if (FAILED(res)) Application->MessageBox("Package services not found","Error",MB_OK);
  else ShowPackageServices(this,ps);
}
//---------------------------------------------------------------------------

void __fastcall TIDEServicesForm::bWatcherServicesClick(TObject *Sender)
{ ShowWatcherServices();

}
//---------------------------------------------------------------------------


void __fastcall TIDEServicesForm::bDebuggerServicesClick(TObject *Sender)
{ _di_IOTADebuggerServices ds=NULL;
  HRESULT res=BorlandIDEServices->QueryInterface(__uuidof(IOTADebuggerServices),(void**)&ds);
  if (FAILED(res)) Application->MessageBox("Debugger services not found","Error",MB_OK);
  else ShowDebuggerServices(this,ds);
}
//---------------------------------------------------------------------------

void __fastcall TIDEServicesForm::bIDEClick(TObject *Sender)
{ ShowIDE(this);
}
//---------------------------------------------------------------------------

void __fastcall TIDEServicesForm::bShowDebugLogClick(TObject *Sender)
{ TComponent *c=Application->FindComponent("DebugLogView");
  TControl *cc=dynamic_cast<TControl*>(c);
  if (cc!=NULL) cc->Visible=true;
}
//---------------------------------------------------------------------------

void __fastcall TIDEServicesForm::bProjectOptionsClick(TObject *Sender)
{ _di_IOTAProject p = GetCurrentProject();
  if (p==NULL) Application->MessageBox("Failed to find current project","Project Options",MB_OK);
  else
  { _di_IOTAProjectOptions po = p->GetProjectOptions();
    if (po==NULL) Application->MessageBox("Failed to get project options","Project Options",MB_OK);
    else ShowProjectOptions(this,po);
  }
}
//---------------------------------------------------------------------------

void __fastcall TIDEServicesForm::bMessageServicesClick(TObject *Sender)
{ _di_IOTAMessageServices40 ms=NULL;
  HRESULT res=BorlandIDEServices->QueryInterface(__uuidof(IOTAMessageServices40),(void**)&ms);
  if (FAILED(res)) Application->MessageBox("Message services not found","Error",MB_OK);
  else ShowMessageServices(this,ms);
}
//---------------------------------------------------------------------------




void __fastcall TIDEServicesForm::bMessageViewClick(TObject *Sender)
{ TComponent *c=Application->FindComponent("EditorActionLists"); if (c==NULL) return;
  c=c->FindComponent("ecMessageView");
  TAction *a=dynamic_cast<TAction*>(c); if (a!=NULL) a->Execute();
}
//---------------------------------------------------------------------------


