//---------------------------------------------------------------------------

#ifndef watcherservicesH
#define watcherservicesH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TSpecificWatcher;

class TWatcherServicesForm : public TForm
{
__published:	// IDE-managed Components
        TPageControl *PageControl1;
        TTabSheet *tsGeneral;
        TTabSheet *tsSpecific;
        TMemo *mGeneral;
        TMemo *mSpecific;
        TPanel *pSpecific;
        TEdit *eSpecific;
        TButton *bSpecific;
        TTabSheet *tsProps;
        TMemo *mProps;
        TTabSheet *tsDebug;
        TMemo *mDebug;
        void __fastcall mGeneralDblClick(TObject *Sender);
        void __fastcall mSpecificDblClick(TObject *Sender);
        void __fastcall bSpecificClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall mPropsDblClick(TObject *Sender);
        void __fastcall mDebugDblClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TWatcherServicesForm(TComponent* Owner);
        __fastcall ~TWatcherServicesForm();
        void __fastcall OnGeneralForm(_di_IOTAProject p,_di_IOTAModule m,_di_IOTAFormEditor fe,_di_IOTAComponent c,AnsiString name,AnsiString oldname,TWatchAction wa,TWatchSubject ws);
        void __fastcall OnGeneralComponent(_di_IOTAProject p,_di_IOTAModule m,_di_IOTAFormEditor fe,_di_IOTAComponent c,AnsiString name,AnsiString oldname,TWatchAction wa,TWatchSubject ws);
        void __fastcall OnSpecific(_di_IOTAProject p,_di_IOTAModule m,_di_IOTAFormEditor fe,_di_IOTAComponent c,AnsiString name,AnsiString oldname,TWatchAction wa,TWatchSubject ws);
        void __fastcall OnDebug(_di_IOTAProject p,_di_IOTAModule m,_di_IOTAFormEditor fe,_di_IOTAComponent c,AnsiString name,AnsiString oldname,TWatchAction wa,TWatchSubject ws);
        void __fastcall OnPropertyExists(TPropertyEditor *pe);
        TSpecificWatcher *sw;
};
//---------------------------------------------------------------------------
extern PACKAGE TWatcherServicesForm *WatcherServicesForm;
//---------------------------------------------------------------------------
#endif
